{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>
{% endblock css %}

{% block scripts %}
    {% load static %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_product' %}">Product</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Edit{% else %}Add{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Edit{% else %}Add{% endif %} Product</h5>
        <div class="card-body">
            
            <div class="col col-md-12 d-flex justify-content-center">
                <div class="crop-preview" style="max-width: 300px; max-height: 300px;"></div>
            </div>

            {% if product %}
                {% if edit %}
                    {% if product.images %}
                        <div class="col col-md-12 mb-2 text-center" id="old-image">
                            <img class="img-responsive center-block" style="max-width: 300px; max-height: 300px;" src="{{product.images.url}}" alt="">
                            <p><small>File foto lama.</small></p>
                        </div>
                    {% endif %}
                {% endif %}
                {% include 'profile/admin/product/form.html' %}
            {% else %}
                {% if edit %}
                    <h1>BERITA TIDAK DITEMUKAN</h1>
                {% else %}
                    {% include 'profile/admin/product/form.html' %}
                {% endif %}
            {% endif %}
        </div>
    </div>

    <!-- MODAL TO CROP THE IMAGE -->
    <div class="modal fade" id="modalCrop" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="m-0 font-weight-bold text-info">Image Crop</h5>
                    <button type="button" class="close text-info modal-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <img src="" id="image" style="max-width: 100%;">
                </div>

                <div class="modal-footer">
                <div class="btn-group pull-left" role="group">
                    <button type="button" class="btn btn-default js-zoom-in">
                        <i class="bi bi-zoom-in"></i>
                    </button>
                    <button type="button" class="btn btn-default js-zoom-out">
                        <i class="bi bi-zoom-out"></i>
                    </button>
                </div>
                <button type="button" class="btn btn-info js-crop-and-upload">Crop</button>
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
    <script type="text/javascript">
        $( document ).ready(function() {
            $(".modal-close").click(function(){
                $("#id_images").val(null);
            });

            $("#id_images").change(function () {
                if (this.files && this.files[0]) {
                    let reader = new FileReader();
                    
                    reader.onload = function (e) {
                        $("#image").attr("src", e.target.result);
                        $("#modalCrop").modal("show");
                    }

                    reader.readAsDataURL(this.files[0]);
                }
            });

            let $image = $("#image");
            let cropBoxData;
            let canvasData;

            $("#modalCrop").on("shown.bs.modal", function () {
                $image.cropper({
                    viewMode: 1,
                    aspectRatio: 1/1,
                    minCropBoxWidth: 200,
                    minCropBoxHeight: 200,
                    ready: function () {
                        $image.cropper("setCanvasData", canvasData);
                        $image.cropper("setCropBoxData", cropBoxData);
                }
            });

            }).on("hidden.bs.modal", function () {
                cropBoxData = $image.cropper("getCropBoxData");
                canvasData = $image.cropper("getCanvasData");
                $image.cropper("destroy");
            });

            // Enable zoom in button
            $(".js-zoom-in").click(function () {
                $image.cropper("zoom", 0.1);
            });

            // Enable zoom out button
            $(".js-zoom-out").click(function () {
                $image.cropper("zoom", -0.1);
            });

            $(".js-crop-and-upload").click(function () {
                var cropData = $image.cropper("getData");
                $("#id_x").val(cropData["x"]);
                $("#id_y").val(cropData["y"]);
                $("#id_height").val(cropData["height"]);
                $("#id_width").val(cropData["width"]);
                $("#modalCrop").modal('hide');
                let data;
                let croppedimage = $image.cropper("getCroppedCanvas")
                $(".crop-preview").html(croppedimage);
                $("#old-image").addClass('d-none');
                $("#old-image").hide();
            });
        });
    </script>
    <script type="text/javascript">
    function formatRupiah(angka, id) {
        var number_string = angka.replace(/[^,\d]/g, '').toString(),
            split    = number_string.split(','),
            sisa     = split[0].length % 3,
            rupiah     = split[0].substr(0, sisa),
            ribuan     = split[0].substr(sisa).match(/\d{3}/gi);

        if (ribuan) {
            separator = sisa ? '.' : '';
            rupiah += separator + ribuan.join('.');
        }

        rupiah = split[1] !== undefined ? rupiah + ',' + split[1] : rupiah;
        document.getElementById(id).value = "Rp. " + rupiah;

        var inputElement = document.getElementById("fixprice");
        inputElement.value = rupiah.replace(/[^0-9]/g, '');
        var inputElemen = document.getElementById("untukdisk");
        inputElemen.value = rupiah.replace(/[^0-9]/g, '');
    }
    function hitungHargaSetelahDiskon() {// mengambil harga dan menghilangkan titik
        var diskon = parseFloat(document.getElementById('diskon').value);
        var after_diskon = document.getElementById('after_diskon');
        var fixPrice = parseInt(document.getElementById('fixprice').value.replace(/\./g, ''));
        var Price = parseInt(document.getElementById('untukdisk').value.replace(/\./g, '')); // mengambil harga asli dan menghilangkan titik

        // menyimpan harga asli ke dalam inputan dengan id fixprice
        document.getElementById('fixprice').value = fixPrice;
        document.getElementById('untukdisk').value = Price;

        console.log(diskon)
        console.log(fixPrice)
        console.log(Price)

        // menghitung harga setelah diskon
        if (diskon != '' && !isNaN(diskon)) {
            var hargaSetelahDiskon = fixPrice - (fixPrice * (diskon / 100));
            after_diskon.value = hargaSetelahDiskon;
        } else {
            after_diskon.value = 0;
        }
        console.log(after_diskon.value)
        var fixdiskon = document.getElementById('fixdiskon');
        fixdiskon.value = after_diskon.value;
        console.log(fixdiskon.value)
    }
    const enablePromoYes = document.querySelector('#enablePromoYes');
    const promoInput = document.querySelector('#diskon');
    const paketPromoInput = document.querySelector('#after_diskon');
    const promoLabel = document.querySelector('label[for="diskon"]');
    const paketpromoLabel = document.querySelector('label[for="after_diskon"]');
    promoInput.style.display = 'none';
    promoLabel.style.display = 'none';
    paketpromoLabel.style.display = 'none';
    paketPromoInput.style.display = 'none';
        
    if (enablePromoYes.checked) {
        promoInput.removeAttribute('disabled');
        promoInput.style.display = 'block';
        paketPromoInput.style.display = 'block';
        promoLabel.style.display = 'block';
        paketpromoLabel.style.display = 'block';
    } else {
        promoInput.setAttribute('disabled', true);
        paketPromoInput.setAttribute('disabled', true);
        promoInput.style.display = 'none';
        paketPromoInput.style.display = 'none';
        promoLabel.style.display = 'none';
        paketpromoLabel.style.display = 'none';
    }
            
    enablePromoYes.addEventListener('change', () => {
        if (enablePromoYes.checked) {
        promoInput.removeAttribute('disabled');
        promoInput.style.display = 'block';
        paketPromoInput.style.display = 'block';
        promoLabel.style.display = 'block';
        paketpromoLabel.style.display = 'block';
        }
    });
          
    const enablePromoNo = document.querySelector('#enablePromoNo');
        enablePromoNo.addEventListener('change', () => {
        if (enablePromoNo.checked) {
        promoInput.setAttribute('disabled', true);
        paketPromoInput.setAttribute('disabled', true);
        promoInput.style.display = 'none';
        paketPromoInput.style.display = 'none';
        promoLabel.style.display = 'none';
        paketpromoLabel.style.display = 'none';
        }
    });
    $('#price').trigger('keyup');
    </script>
{% endblock scripts_bawah %}